> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Unstaking Requests

> Lists the org's non-draft unstaking requests.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-unstaking-requests
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-unstaking-requests:
    get:
      operationId: getUnstakingRequests
      summary: Get Unstaking Requests
      description: |-
        Lists the org's non-draft unstaking requests.

        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUnstakingRequestsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetUnstakingRequestsResponse:
      type: array
      items:
        type: object
        properties:
          unstakingRequestID:
            type: string
          stakingRequestID:
            type: string
          unstakingAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          unstakingDate:
            type: string
          createdAt:
            type: string
          updatedAt:
            type: string
          status:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          roleInOrgID:
            type: string
        required:
          - unstakingRequestID
          - stakingRequestID
          - unstakingAmount
          - unstakingDate
          - createdAt
          - updatedAt
          - status
          - roleInOrgID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
